/// <reference types="node" />
import * as stream from 'stream';
import * as argparse from 'argparse';
declare function maybeCreateReadStream(filename: string): stream.Readable;
declare function readAllLines(files: stream.Readable[], separator?: string): stream.Readable;
declare class ActionSetFlag extends argparse.Action {
    'const': boolean;
    call(parser: argparse.ArgumentParser, namespace: any, values: string[]): void;
}
export { ActionSetFlag, maybeCreateReadStream, readAllLines };
